org.apache.ignite.internal.cache.query.index.sorted

## Class QueryIndexRowHandlerFactory

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.QueryIndexRowHandlerFactory

All Implemented Interfaces:
  InlineIndexRowHandlerFactory

    public class QueryIndexRowHandlerFactory
    extends Object
    implements InlineIndexRowHandlerFactory

This factory applies tree's meta page info to build info about inlined types.

### Constructor Summary

Constructors
Constructor and Description
`QueryIndexRowHandlerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InlineIndexRowHandler` `create(SortedIndexDefinition sdef, IndexKeyTypeSettings keyTypeSettings)` Creates instance of row handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryIndexRowHandlerFactory

    public QueryIndexRowHandlerFactory()

### Method Detail

#### create

    public InlineIndexRowHandler create(SortedIndexDefinition sdef,
                                        IndexKeyTypeSettings keyTypeSettings)

Creates instance of row handler.

Specified by:
  `create` in interface `InlineIndexRowHandlerFactory`
Parameters:
  `sdef` - Index definition.
  `keyTypeSettings` - Index key type settings.
Returns:
  Index row handler.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023